<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "Functions.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gfn="http://www.greenhatsoftware.com/Functions.xsl"
	exclude-result-prefixes="gfn">

	<!-- externalisations -->
	<xsl:variable name="functions.percentageString">
		<xsl:text>&functions.percentageString;</xsl:text>
	</xsl:variable>
	<xsl:variable name="functions.notApplicable">
		<xsl:text>&functions.notApplicable;</xsl:text>
	</xsl:variable>

	<xsl:function name="gfn:notBlank">
		<xsl:param name="value" />
		<xsl:sequence
			select="if ( string-length( $value ) != 0 ) then $value else $functions.notApplicable" />
	</xsl:function>

	<xsl:function name="gfn:formatString">
		<xsl:param name="string" />
		<xsl:param name="arg1" />
		<xsl:value-of select="gfn:formatString($string,$arg1,'')" />
	</xsl:function>

	<xsl:function name="gfn:formatString">
		<xsl:param name="string" />
		<xsl:param name="arg1" />
		<xsl:param name="arg2" />
		<xsl:value-of select="gfn:formatString($string,$arg1,$arg2,'')" />
	</xsl:function>

	<xsl:function name="gfn:formatString">
		<xsl:param name="string" />
		<xsl:param name="arg1" />
		<xsl:param name="arg2" />
		<xsl:param name="arg3" />

		<xsl:value-of
			select="replace(
						replace(
							replace(string($string),'\{1\}',string($arg1))
						,'\{2\}',string($arg2))
					,'\{3\}',string($arg3))" />
	</xsl:function>

	<!-- Gets the percentage string. The string will be at most 6 chars long. -->
	<xsl:function name="gfn:getPercentage">
		<xsl:param name="value" />
		<xsl:param name="total" />

		<xsl:variable name="percentage"
			select="if (number($total) != 0) then (number($value) div number($total) * 100) else 0" />
		<xsl:value-of
			select="gfn:formatString($functions.percentageString,substring(string($percentage),1,6))" />
	</xsl:function>

	<!-- Gets the percentage string. The percentage is rounded to the nearest
		integer. -->
	<xsl:function name="gfn:getRoundPercentage">
		<xsl:param name="value" />
		<xsl:param name="total" />

		<xsl:variable name="percentage"
			select="if (number($total) != 0) then (number($value) div number($total) * 100) else 0" />
		<xsl:value-of
			select="gfn:formatString($functions.percentageString,round($percentage))" />
	</xsl:function>

</xsl:stylesheet>