<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "fetchTestData.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- externalisations -->
	<xsl:variable name="fetchTestData.label">
		<xsl:text>&fetchTestData.label;</xsl:text>
	</xsl:variable>
	<xsl:variable name="fetchTestData.advanceToNextRow">
		<xsl:text>&fetchTestData.advanceToNextRow;</xsl:text>
	</xsl:variable>
	<xsl:variable name="fetchTestData.tagValuesRetrieved">
		<xsl:text>&fetchTestData.tagValuesRetrieved;</xsl:text>
	</xsl:variable>

	<xsl:template match="test_data_fetch_action" mode="summary">
		<xsl:call-template name="processSummaryRow" />
		<xsl:apply-templates select="*" mode="summary" />
	</xsl:template>

	<xsl:template match="test_data_fetch_action" mode="label">
		<xsl:value-of select="$fetchTestData.label" />
	</xsl:template>

	<xsl:template match="test_data_fetch_action">
		<xsl:call-template name="addActionInfo" />
		<table class="faux">
			<xsl:call-template name="reportCommonInfo" />
			<xsl:call-template name="copyAttribute">
				<xsl:with-param name="attribute" select="'advance'" />
				<xsl:with-param name="outputAttribute"
					select="$fetchTestData.advanceToNextRow" />
			</xsl:call-template>
		</table>
		<xsl:call-template name="processTagDataStore">
			<xsl:with-param name="elementName" select="'tagValues'" />
			<xsl:with-param name="tableName"
				select="$fetchTestData.tagValuesRetrieved" />
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
