<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "mapper.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- externalisations -->
	<xsl:variable name="mapper.label">
		<xsl:text>&mapper.label;</xsl:text>
	</xsl:variable>
	<xsl:variable name="mapper.message">
		<xsl:text>&mapper.message;</xsl:text>
	</xsl:variable>
	<xsl:variable name="mapper.xmlString">
		<xsl:text>&mapper.xmlString;</xsl:text>
	</xsl:variable>
	<xsl:variable name="mapper.inputXMLSource">
		<xsl:text>&mapper.inputXMLSource;</xsl:text>
	</xsl:variable>
	<xsl:variable name="mapper.inputXML">
		<xsl:text>&mapper.inputXML;</xsl:text>
	</xsl:variable>
	<xsl:variable name="mapper.outputXML">
		<xsl:text>&mapper.outputXML;</xsl:text>
	</xsl:variable>

	<xsl:template match="mapper" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="mapper" mode="label">
		<xsl:value-of select="$mapper.label" />
	</xsl:template>

	<xsl:template match="mapper">
		<xsl:call-template name="addActionInfo" />
		<xsl:call-template name="reportMapperDetailed" />
	</xsl:template>

	<xsl:template name="reportMapperDetailed">
		<table class="faux">
			<xsl:call-template name="reportCommonInfo" />
			<xsl:variable name="inType">
				<xsl:choose>
					<xsl:when test="@inputIsMessage='true'">
						<xsl:value-of select="$mapper.message" />
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$mapper.xmlString" />
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<tr>
				<xsl:call-template name="reportInfo">
					<xsl:with-param name="value" select="$inType" />
					<xsl:with-param name="name" select="$mapper.inputXMLSource" />
					<xsl:with-param name="tdSpan" select="4" />
				</xsl:call-template>
			</tr>
			<tr>
				<xsl:call-template name="copyAttribute">
					<xsl:with-param name="attribute" select="'inputXML'" />
					<xsl:with-param name="outputAttribute" select="$mapper.inputXML" />
				</xsl:call-template>
			</tr>
			<tr>
				<xsl:call-template name="copyAttribute">
					<xsl:with-param name="attribute" select="'outputXML'" />
					<xsl:with-param name="outputAttribute" select="$mapper.outputXML" />
				</xsl:call-template>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>
