<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "subscribe.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- externalisations -->
	<xsl:variable name="subscribe.label">
		<xsl:text>&subscribe.label;</xsl:text>
	</xsl:variable>

	<xsl:template match="subscribe" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="subscribe" mode="label">
		<xsl:value-of select="$subscribe.label" />
	</xsl:template>

	<xsl:template match="subscribe">
		<xsl:call-template name="addActionInfo" />
		<xsl:call-template name="reportSubscribeDetailed" />
	</xsl:template>

	<xsl:template name="reportSubscribeDetailed">
		<table class="faux">
			<xsl:call-template name="reportCommonInfo" />

			<xsl:call-template name="copyAttribute">
				<xsl:with-param name="attribute" select="$ERROR" />
				<xsl:with-param name="outputAttribute" select="$ERROR_OUTPUT" />
			</xsl:call-template>
			<tr>
				<xsl:call-template name="copyAttribute">
					<xsl:with-param name="attribute" select="$TRANSPORT" />
					<xsl:with-param name="outputAttribute" select="$TRANSPORT_OUTPUT" />
				</xsl:call-template>
				<xsl:call-template name="copyAttribute">
					<xsl:with-param name="attribute" select="$FORMATTER" />
					<xsl:with-param name="outputAttribute" select="$FORMATTER_OUTPUT" />
				</xsl:call-template>
			</tr>
			<xsl:if test="count(@*[name()=$MESSAGES_FILTERED]) &gt; 0">
				<tr>
					<xsl:call-template name="copyAttribute">
						<xsl:with-param name="attribute" select="$MESSAGES_FILTERED" />
						<xsl:with-param name="outputAttribute" select="$MESSAGES_FILTERED_OUTPUT" />
					</xsl:call-template>
				</tr>
			</xsl:if>
			<xsl:variable name="subID" select="@id" />
			<xsl:for-each select="parent::*/*[name()=$VALIDATE and @id=$subID]">
				<xsl:call-template name="reportValidationError" />
			</xsl:for-each>
		</table>
		<xsl:call-template name="reportAssociatedA3Message" />
	</xsl:template>
</xsl:stylesheet>