<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "watchLog.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gfn="http://www.greenhatsoftware.com/Functions.xsl"
	exclude-result-prefixes="gfn">

	<!-- externalisations -->
	<xsl:variable name="watchLog.label">
		<xsl:text>&watchLog.label;</xsl:text>
	</xsl:variable>
	<xsl:variable name="watchLog.matchCriteria">
		<xsl:text>&watchLog.matchCriteria;</xsl:text>
	</xsl:variable>
	<xsl:variable name="watchLog.entriesMatchesMessage">
		<xsl:text>&watchLog.entriesMatchesMessage;</xsl:text>
	</xsl:variable>

	<xsl:template match="watch_log_file" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="watch_log_file" mode="label">
		<xsl:value-of select="$watchLog.label" />
	</xsl:template>

	<xsl:template match="watch_log_file">
		<xsl:call-template name="addActionInfo" />
		<table class="faux">
			<xsl:call-template name="reportWatchLogDetailed" />
		</table>

		<xsl:if test="string-length(matchCriteria/criterion[1]) &gt; 0">
			<div class="a3Message">
				<table>
					<tr class="a3MessageTableHeader">
						<th>
							<xsl:value-of select="$watchLog.matchCriteria" />
						</th>
					</tr>
					<tr>
						<td>
							<ul>
								<xsl:for-each select="matchCriteria/criterion">
									<li>
										<pre>
											<xsl:value-of select="text()" />
										</pre>
									</li>
								</xsl:for-each>
							</ul>
						</td>
					</tr>

					<xsl:if test="string-length(matchedEntries/entry[1]) &gt; 0">
						<tr class="a3MessageTableHeader">
							<th>
								<xsl:value-of
									select="gfn:formatString($watchLog.entriesMatchesMessage,../watch_log_file/@executionTime)" />
							</th>
						</tr>
						<tr>
							<td>
								<pre>
									<xsl:value-of select="matchedEntries/entry/text()" />
								</pre>
							</td>
						</tr>
					</xsl:if>

					<xsl:if test="string-length(logs/log[1]) &gt; 0">
						<tr class="a3MessageTableHeader">
							<th>
								<xsl:value-of
									select="gfn:formatString($watchLog.entriesMatchesMessage,../watch_log_file/@timeout)" />
							</th>
						</tr>
						<tr>
							<td>
								<pre>
									<xsl:value-of select="logs/log/text()" />
								</pre>
							</td>
						</tr>
					</xsl:if>
				</table>
			</div>
		</xsl:if>
	</xsl:template>

	<xsl:template name="reportWatchLogDetailed">
		<xsl:call-template name="reportCommonInfo" />
		<xsl:call-template name="reportValidationError" />
	</xsl:template>
</xsl:stylesheet>
