--
-- Migrate database from schema version 1.9.24.c to 1.9.24.d
--
ALTER TABLE [EMS_ROUTE_MRV]
ALTER COLUMN [IBC] [numeric] (19) NOT NULL;
GO

ALTER TABLE [EMS_ROUTE_MRV]
ALTER COLUMN [OBC] [numeric] (19) NOT NULL;
GO

ALTER TABLE [EMS_ROUTE_TS]
ALTER COLUMN [IBC] [numeric] (19) NOT NULL;
GO

ALTER TABLE [EMS_ROUTE_TS]
ALTER COLUMN [OBC] [numeric] (19) NOT NULL;
GO

CREATE TABLE [LOGMEASUREMENT_TS2] (
 [IDX] [numeric] (19) IDENTITY (1, 1) NOT NULL,
 [LOGMEASUREMENT_MRV_ID] [numeric] (19) NOT NULL,
 [EXECUTION_ID] [numeric] (19),
 [TIME] [numeric] (20) NOT NULL,
 [CTR_ID_1] [numeric] (19),
 [CTR_VAL_1] [numeric] (20, 3),
 [CTR_ID_2] [numeric] (19),
 [CTR_VAL_2] [numeric] (20, 3),
 [CTR_ID_3] [numeric] (19),
 [CTR_VAL_3] [numeric] (20, 3),
 [CTR_ID_4] [numeric] (19),
 [CTR_VAL_4] [numeric] (20, 3),
 [CTR_ID_5] [numeric] (19),
 [CTR_VAL_5] [numeric] (20, 3),
 [CTR_ID_6] [numeric] (19),
 [CTR_VAL_6] [numeric] (20, 3),
 [CTR_ID_7] [numeric] (19),
 [CTR_VAL_7] [numeric] (20, 3),
 [CTR_ID_8] [numeric] (19),
 [CTR_VAL_8] [numeric] (20, 3),
 [STRCTR_ID_1] [numeric] (19),
 [STRCTR_VAL_1] [varchar] (255),
 [STRCTR_ID_2] [numeric] (19),
 [STRCTR_VAL_2] [varchar] (255),
 [STRCTR_ID_3] [numeric] (19),
 [STRCTR_VAL_3] [varchar] (255),
 [STRCTR_ID_4] [numeric] (19),
 [STRCTR_VAL_4] [varchar] (255),
);
GO

ALTER TABLE [LOGMEASUREMENT_TS] SWITCH TO [LOGMEASUREMENT_TS2];
GO

DROP TABLE [LOGMEASUREMENT_TS];
GO

EXEC sp_rename 'LOGMEASUREMENT_TS2','LOGMEASUREMENT_TS';
GO

ALTER TABLE [LOGMEASUREMENT_TS]
ADD CONSTRAINT [LOGMEASUREMENT_TS_PK] PRIMARY KEY
 (
 [IDX]
 );
GO

ALTER TABLE [SUITE_EXECUTION]
ADD [EXPIRATION] [numeric] (20);
GO

CREATE INDEX [SUITE_EXECUTION_EXP_INDEX] ON [SUITE_EXECUTION] ([EXPIRATION]);
GO

DROP VIEW [SCENARIO_EXECUTIONS];
GO

CREATE VIEW [SCENARIO_EXECUTIONS] (
 [EXECUTION_ID],
 [LABEL],
 [LOCKBY],
 [LOCKDATE],
 [NOTES_PK],
 [PROJECT_PK],
 [SUITE_PK],
 [SUITE_ID],
 [SUITE_NAME],
 [SCENARIO_NAME],
 [SCENARIO_ID],
 [START_TIME],
 [END_TIME],
 [STATUS],
 [EXPIRES],
 [ROOT_EXEC_ID]
) AS 
  SELECT sce.execution_id, l.label, u.username, u.time, n.execution_id, t.project_id, t.id, t.uniqueid, t.display, s.display, s.uniqueid, e.start_time, e.end_time, (SELECT display FROM status WHERE id = e.status_id), t.expiration, e.root_id
  FROM scenario s, scenario_execution sce, execution e
  LEFT OUTER JOIN execution_label l ON e.id = l.execution_id
  LEFT OUTER JOIN (
    SELECT sue.execution_id, app.id, app.uniqueid, app.display, app.project_id, sue.expiration
    FROM suite_execution sue, appmodelitem app
    WHERE sue.appmodelitem_id = app.id
  ) t ON e.id = t.execution_id
  LEFT OUTER JOIN (
    SELECT el.execution_id, p.username, el.time
    FROM execution_lock el, person p
    WHERE el.person_id = p.id
  ) u ON e.id = u.execution_id
  LEFT OUTER JOIN execution_note n ON e.id = n.execution_id
  WHERE e.id = sce.execution_id AND sce.scenario_id = s.id
   ;
GO


BEGIN TRANSACTION;
INSERT INTO db_details VALUES
 (GETDATE(), 'schema.version.number', '1.9.24.d');
COMMIT TRANSACTION;
